module.exports = {
  root: true,
  env: {
    node: true
  },
  extends: [
    'plugin:vue/vue3-essential',
    '@vue/standard',
    '@vue/typescript/recommended'
  ],
  parserOptions: {
    ecmaVersion: 2020
  },
  rules: {
    'no-console': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    quotes: 'off',
    semi: 'off',
    'comma-dangle': 'off',
    "vue/multi-word-component-names": 'off',
    "no-undef": 'off',
    "vue/no-mutating-props": 'off',
    "no-multiple-empty-lines": 'off',
    "eol-last": "off",
    "no-trailing-spaces": "off",
  }
}
