import { createRouter, createWebHistory, RouteRecordRaw } from 'vue-router'

const routes: Array<RouteRecordRaw> = [
  {
    path: '/report',
    name: '数据',
    component: () => import('@/pages/report/index.vue')
  },
  {
    path: '/chat-records',
    name: '聊天记录',
    component: () => import('@/pages/chat-records/index.vue')
  }
]

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes
})

export default router
